org.keycloak.authentication.authenticators.browser

## Class WebAuthnPasswordlessAuthenticator

- java.lang.Object
- - org.keycloak.authentication.authenticators.browser.WebAuthnAuthenticator
  - - org.keycloak.authentication.authenticators.browser.WebAuthnPasswordlessAuthenticator

- All Implemented Interfaces:
    Authenticator, CredentialValidator<WebAuthnCredentialProvider>, Provider

      public class WebAuthnPasswordlessAuthenticator
      extends WebAuthnAuthenticator

  Authenticator for WebAuthn authentication with passwordless credential. This class is temporary and will be likely removed in the future during future improvements in authentication SPI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPasswordlessAuthenticator(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebAuthnPasswordlessCredentialProvider` | `getCredentialProvider(KeycloakSession session)`
    `protected String` | `getCredentialType()`
    `List<RequiredActionFactory>` | `getRequiredActions(KeycloakSession session)` Overwrite this if the authenticator is associated with
    `protected WebAuthnPolicy` | `getWebAuthnPolicy(AuthenticationFlowContext context)`
    `void` | `setRequiredActions(KeycloakSession session, RealmModel realm, UserModel user)` Set actions to configure authenticator

    - ### Methods inherited from class org.keycloak.authentication.authenticators.browser.WebAuthnAuthenticator

      `action, authenticate, close, configuredFor, getRpID, requiresUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled`

    - ### Methods inherited from interface org.keycloak.authentication.CredentialValidator

      `getCredentials, getType`

- - ### Constructor Detail

    - #### WebAuthnPasswordlessAuthenticator

          public WebAuthnPasswordlessAuthenticator(KeycloakSession session)

  - ### Method Detail

    - #### getWebAuthnPolicy

          protected WebAuthnPolicy getWebAuthnPolicy(AuthenticationFlowContext context)

      Overrides:
        `getWebAuthnPolicy` in class `WebAuthnAuthenticator`

    - #### getCredentialType

          protected String getCredentialType()

      Overrides:
        `getCredentialType` in class `WebAuthnAuthenticator`

    - #### setRequiredActions

          public void setRequiredActions(KeycloakSession session,
                                         RealmModel realm,
                                         UserModel user)

      Description copied from interface: `Authenticator`
      Set actions to configure authenticator
      Specified by:
        `setRequiredActions` in interface `Authenticator`
      Overrides:
        `setRequiredActions` in class `WebAuthnAuthenticator`

    - #### getRequiredActions

          public List<RequiredActionFactory> getRequiredActions(KeycloakSession session)

      Description copied from interface: `Authenticator`
      Overwrite this if the authenticator is associated with
      Specified by:
        `getRequiredActions` in interface `Authenticator`
      Overrides:
        `getRequiredActions` in class `WebAuthnAuthenticator`
      Returns:

    - #### getCredentialProvider

          public WebAuthnPasswordlessCredentialProvider getCredentialProvider(KeycloakSession session)

      Specified by:
        `getCredentialProvider` in interface `CredentialValidator<WebAuthnCredentialProvider>`
      Overrides:
        `getCredentialProvider` in class `WebAuthnAuthenticator`

Copyright © 2021 JBoss by Red Hat. All rights reserved.